#ifndef _cfei_prometheus_h_
#define _cfei_prometheus_h_
#if !defined(PROM_NO_FEI)
/*
   This header defines the prototype for the Prometheus-specific function that
   creates the LinSysCore struct pointer, which is used by FEI_create.
*/

#include <mpi.h>

#include <base/Data.h>
#include <base/LinearSystemCore.h>
#include "Prometheus_LinSysCore.h"

#ifndef CFEI_LinSysCore_DEFINED
#define CFEI_LinSysCore_DEFINED

/*
  First we define the LinSysCore struct which is kind of like an
  abstract type. ISIS_LinSysCore_create produces an instance of LinSysCore.
*/

struct LinSysCore_struct {
   void* lsc_;
};
typedef struct LinSysCore_struct LinSysCore;

#endif

#ifdef __cplusplus
LinearSystemCore *Prometheus_base_create( MPI_Comm comm );
#endif


#ifdef __cplusplus
extern "C" {
#endif

int Prometheus_LinSysCore_create(LinSysCore** lsc, MPI_Comm comm);

#ifdef __cplusplus
}
#endif

#endif /* PROM_NO_FEI */

#endif /*_cfei_prometheus_h_*/

